changeset 1302:07852d3a2e50

Rip out uClibc internationalization (doesn't contain any codepages, just copies 'em from the host, so won't build on a host that hasn't got internationalization already installed), use gettext-stub instead of gettext, and fix udev and vim to build.
author Rob Landley <rob@landley.net>
date Tue, 23 Nov 2010 03:58:41 -0600
parents 42fd798bbe3e
children 2868f2d87624
files sources/baseconfig-uClibc sources/control-images/lfs-bootstrap/download.sh sources/control-images/lfs-bootstrap/mnt/build/gettext-stub.sh sources/control-images/lfs-bootstrap/mnt/build/udev.sh sources/control-images/lfs-bootstrap/mnt/build/vim.sh sources/control-images/lfs-bootstrap/mnt/package-list
diffstat 6 files changed, 28 insertions(+), 12 deletions(-) [+]
line wrap: on
line diff
--- a/sources/baseconfig-uClibc	Mon Nov 22 17:53:17 2010 -0600
+++ b/sources/baseconfig-uClibc	Tue Nov 23 03:58:41 2010 -0600
@@ -89,6 +89,6 @@
 
 # Optional internationalization stuff
 
-UCLIBC_HAS_LOCALE=y
-UCLIBC_HAS_XLOCALE=y
-UCLIBC_BUILD_MINIMAL_LOCALE=y
+#UCLIBC_HAS_LOCALE=y
+#UCLIBC_HAS_XLOCALE=y
+#UCLIBC_BUILD_MINIMAL_LOCALE=y
--- a/sources/control-images/lfs-bootstrap/download.sh	Mon Nov 22 17:53:17 2010 -0600
+++ b/sources/control-images/lfs-bootstrap/download.sh	Tue Nov 23 03:58:41 2010 -0600
@@ -16,6 +16,10 @@
 RENAME='s/-sources//' \
 download || dienow
 
+URL=ftp://penma.de/code/gettext-stub/gettext-stub-1.tar.gz \
+SHA1=ef706667010893c5492173c543d2c5b715abb8a7 \
+download || dienow
+
 cleanup_oldfiles
 
 # Extract the individual packages from the upstream tarball
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/sources/control-images/lfs-bootstrap/mnt/build/gettext-stub.sh	Tue Nov 23 03:58:41 2010 -0600
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+# Stub to compile packages that refuse to build without gettext.
+
+gcc -shared -o /usr/lib/libintl.so libintl-stub.c &&
+cp libintl-stub.h /usr/include/libintl.h &&
+cp msgfmt /usr/bin
--- a/sources/control-images/lfs-bootstrap/mnt/build/udev.sh	Mon Nov 22 17:53:17 2010 -0600
+++ b/sources/control-images/lfs-bootstrap/mnt/build/udev.sh	Tue Nov 23 03:58:41 2010 -0600
@@ -1,17 +1,20 @@
 #!/bin/sh
 
+mkdir -p /lib/udev/devices || exit 1
+if [ ! -e /lib/udev/devices/null ]
+then
+  mknod -m0666 /lib/udev/devices/null c 1 3 || exit 1
+fi
+sed -i 's/ libudev-install-move-hook//' Makefile.in &&
 install -d /lib/firmware /lib/udev/devices/pts /lib/udev/devices/shm &&
-mknod -m0666 /lib/udev/devices/null c 1 3 &&
-./configure --prefix=/usr --sysconfdir=/etc --sbindir=/sbin \
+./configure --sysconfdir=/etc --sbindir=/sbin \
   --with-rootlibdir=/lib --libexecdir=/lib/udev --disable-extras \
   --disable-introspection &&
 make -j $CPUS || exit 1
-
 if [ ! -z "$CHECK" ]
 then
   make check || exit 1
 fi
-
 make install &&
 rmdir /usr/share/doc/udev &&
 cd /mnt/packages/udev-config &&
@@ -19,5 +22,5 @@
 
 if [ ! -z "$DOCS" ]
 then
-  make intall-doc
+  make install-doc
 fi
--- a/sources/control-images/lfs-bootstrap/mnt/build/vim.sh	Mon Nov 22 17:53:17 2010 -0600
+++ b/sources/control-images/lfs-bootstrap/mnt/build/vim.sh	Tue Nov 23 03:58:41 2010 -0600
@@ -1,6 +1,7 @@
 #!/bin/sh
 
 sed -i '$a #define SYS_VIMRC_FILE "/etc/vimrc"' src/feature.h &&
+sed -i 's/find /find -L /g' Makefile src/Makefile &&
 
 ./configure --prefix=/usr --enable-multibyte &&
 make -j $CPUS || exit 1
@@ -11,10 +12,10 @@
 fi
 
 make install &&
-ln -s vim /usr/bin/vi || exit 1
-for i in /usr/share/man/man1/vim.l /usr/share/man/*/man1/vim.l
+ln -sf vim /usr/bin/vi || exit 1
+for i in /usr/share/man/man1/vim.1 /usr/share/man/*/man1/vim.1
 do
-  ln -sf vim.1 $(dirname $i)/vi.l || exit 1
+  ln -sf vim.1 $(dirname $i)/vi.1 || exit 1
 done
 
 cat > /etc/vimrc << "EOF"
--- a/sources/control-images/lfs-bootstrap/mnt/package-list	Mon Nov 22 17:53:17 2010 -0600
+++ b/sources/control-images/lfs-bootstrap/mnt/package-list	Tue Nov 23 03:58:41 2010 -0600
@@ -7,7 +7,8 @@
 sed		#busybox
 pkg-config	#development
 ncurses
-gettext		#development internationalization
+#gettext		#development internationalization
+gettext-stub	#development internationalization
 util-linux-ng
 e2fsprogs	#busybox
 coreutils	#busybox